Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.coaext
Class EPPCoaExtTst

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.verisign.epp.codec.coaext.EPPCoaExtTst

All Implemented Interfaces:
  junit.framework.Test

    public class EPPCoaExtTst

extends junit.framework.TestCase

Is a unit test of the com.verisign.epp.codec.coaext package. The unit test will execute, gather statistics, and output the results of a test of each com.verisign.epp.codec.coaext package concrete `EPPCoaExt`'s and their expected `EPPResponse`. The unit test is dependent on the use of JUNIT 3.5

Version:
  1.0 Feb 23, 2011
Author:
  jfaust

Constructor Summary
`EPPCoaExtTst(java.lang.String name)` Creates a new EPPCoaExtTst object.

Method Summary
`static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off ( `false`).
`static void` | `setNumIterations(long aNumIterations)` Sets the number of iterations to run per test.
`protected void` | `setUp()` JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPDomainMapFactory` with the `EPPCodec`.
`static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPCoaExtTst`.
`protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
`void` | `testDomainCreateCommandWithCoaExt()`
`void` | `testDomainInfoRespWithCoaExtRem()`
`void` | `testDomainUpdateCommandWithCoaExtAll()`
`void` | `testDomainUpdateCommandWithCoaExtPut()`
`void` | `testDomainUpdateCommandWithCoaExtRem()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPCoaExtTst

    public EPPCoaExtTst(java.lang.String name)

  Creates a new EPPCoaExtTst object.

  Parameters:
    `name` - DOCUMENT ME!

Method Detail

### testDomainCreateCommandWithCoaExt

    public void testDomainCreateCommandWithCoaExt()

### testDomainUpdateCommandWithCoaExtPut

    public void testDomainUpdateCommandWithCoaExtPut()

### testDomainUpdateCommandWithCoaExtRem

    public void testDomainUpdateCommandWithCoaExtRem()

### testDomainUpdateCommandWithCoaExtAll

    public void testDomainUpdateCommandWithCoaExtAll()

### testDomainInfoRespWithCoaExtRem

    public void testDomainInfoRespWithCoaExtRem()

### setUp

    protected void setUp()

  JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPDomainMapFactory` with the `EPPCodec`.

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    protected void tearDown()

  JUNIT `tearDown`, which currently does nothing.

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### suite

    public static junit.framework.Test suite()

  JUNIT `suite` static method, which returns the tests associated with `EPPCoaExtTst`.

  Returns:
    DOCUMENT ME!

### main

    public static void main(java.lang.String[] args)

  Unit test main, which accepts the following system property options:
  - iterations Number of unit test iterations to run
  - validate Turn XML validation on (`true`) or off ( `false`). If validate is not specified, validation will be off.

  Parameters:
    `args` - DOCUMENT ME!

### setNumIterations

    public static void setNumIterations(long aNumIterations)

  Sets the number of iterations to run per test.

  Parameters:
    `aNumIterations` - number of iterations to run per test

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.